%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jboss-sasl
Version:          1.0.0
Release:          %mkrel 0.1%{namedreltag}.5
Summary:          SASL Provider for J2SE
Group:            Development/Java
License:          LGPLv2+
URL:              https://github.com/jboss-remoting/jboss-sasl

# git clone git://github.com/jboss-remoting/jboss-sasl.git
# cd jboss-sasl/ && git archive --format=tar --prefix=jboss-sasl-1.0.0.Final/ 1.0.0.Final | xz > ../jboss-sasl-1.0.0.Final.tar.xz
Source0:          %{name}-%{namedversion}.tar.xz

BuildArch:        noarch

BuildRequires:    jpackage-utils
BuildRequires:    java-devel
BuildRequires:    junit >= 4.10
BuildRequires:    codehaus-parent

BuildRequires:    maven-local
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-release-plugin
BuildRequires:    maven-resources-plugin
BuildRequires:    maven-injection-plugin
BuildRequires:    maven-surefire-provider-junit4

BuildRequires:    jboss-parent
BuildRequires:    jboss-logging
BuildRequires:    jboss-logging-tools

Requires:         jboss-logging
Requires:         jboss-logging-tools
Requires:         jpackage-utils
Requires:         java

%description
This package contains SASL Provider for J2SE

%package javadoc
Summary:          Javadocs for %{name}
Group:            Development/Java
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

%build

mvn-rpmbuild install javadoc:aggregate

%install

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/jboss
cp -p target/%{name}-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/jboss/%{name}.jar

install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.jboss-%{name}.pom
%add_maven_depmap JPP.jboss-%{name}.pom jboss/%{name}.jar

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%files
%{_javadir}/jboss/%{name}.jar
%{_mavenpomdir}/JPP.jboss-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%{_javadocdir}/%{name}



%changelog
* Sun Dec 22 2013 dmorgan <dmorgan> 1.0.0-0.1.Final.5.mga4
+ Revision: 559831
- Build with maven-local

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.0.0-0.1.Final.3.mga3
+ Revision: 355158
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 dmorgan <dmorgan> 1.0.0-0.1.Final.2.mga3
+ Revision: 339849
- Add codehaus-parent as  buildrequire

* Sun Jun 24 2012 dmorgan <dmorgan> 1.0.0-0.1.Final.1.mga3
+ Revision: 263175
- Clean spec file

  + gil <gil>
    - update to 1.0.0.Final
    - imported package jboss-sasl


* Fri Aug 05 2011 Marek Goldmann <mgoldman@redhat.com> 1.0.0-0.1.Beta1
- Initial packaging

